/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

import iic1102Package.*;

public class MovilTech {

	public static void main(String[] args) {

		int carga1, carga2, divisor;
		
		carga1 = Interfaz.PedirEntero("Ingrese Mxima Carga Camin 1 [kg]:");
		carga2 = Interfaz.PedirEntero("Ingrese Mxima Carga Camin 2 [kg]:");

		divisor = mcd(carga1, carga2);
		Interfaz.MostrarMensaje("Cada bolsa debe cargarse con: "+ divisor +" [kg]");
		Interfaz.MostrarMensaje("El numero de bolsas en camion 1 es: "+ carga1/divisor );
		Interfaz.MostrarMensaje("El numero de bolsas en camion 2 es: "+ carga2/divisor);

	}
	
	public static int mcd(int m, int n) {

		//creamos una variable "temporal"
		int t;

		if(n<m){
			//almacenamos n en la variable "temporal" t
			t = n;
			//almacenamos m en n
			n = m;
			//almacenamos t en m
			m = t;
			//hemos intercambiado los valores de m y n :-)
		}
		while(m>0) {
			t = n%m;
			n = m;
			m = t;
		}
		return(n);
	}
	/*
	 * 
	 * ALGUNAS OTRAS FORMAS PARA EL MTODO mcd()
	 * 
	 * Aqu podemos ver cmo se puede resolver un mismo problema
	 * de varias formas distintas.
	 * 
	 *

	public static int mcd(int a, int b) {
		int t;
		do {
			if(a<b) {
				t = a;
				a = b;
				b = t;
			}
			a = a%b;
		} while (a%b != 0);
		return(b);
	}
	
	public static int mcd (int a, int b) {
		while(a != b){
			if (a>b)
				a = a-b;
			else
				b = b-a;
		}
		return(a);
	}
	*/
}
